SDL_DestroyProperties(3)

NAME
SDL_DestroyProperties - Destroy a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroyProperties(SDL_PropertiesID props);

DESCRIPTION
All properties are deleted and their cleanup functions will be called, if any.

FUNCTION PARAMETERS

props
    the properties to destroy.

THREAD SAFETY
This function should not be called while these properties are locked or other threads might be setting or getting values from these properties.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateProperties(3)